CobolManagedConnectionFactory (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolManagedConnectionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolManagedConnectionFactory

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolManagedConnectionFactory

All Implemented Interfaces:
  ManagedConnectionFactory, Serializable

public class CobolManagedConnectionFactory
extends Object
implements ManagedConnectionFactory, Serializable

See Also:
  Serialized Form

Constructor Summary
`CobolManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cxManager)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo info)`
`boolean` | `equals(Object obj)`
`String` | `getLogHost()` Get the log host
`String` | `getLogPort()` Get the log port
`PrintWriter` | `getLogWriter()`
`String` | `getServerHost()` Get the server host
`String` | `getServerPort()` Get the server port
`Boolean` | `getTrace()` Check if tracing is enabled.
`int` | `hashCode()`
`ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, ConnectionRequestInfo info)`
`void` | `setLogHost(String logHost)` set the log Host
`void` | `setLogPort(String logPort)` Set the log port
`void` | `setLogWriter(PrintWriter out)`
`void` | `setServerHost(String serverHost)` Set the server host
`void` | `setServerPort(String serverPort)` Set the server port
`void` | `setTrace(Boolean trace)` set tracing

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolManagedConnectionFactory

    public CobolManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connectionSet,
                                                     Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### setServerHost

    public void setServerHost(String serverHost)

  Set the server host

  Parameters:
    `serverHost` -

### getServerHost

    public String getServerHost()

  Get the server host

  Returns:
    The server host

### setServerPort

    public void setServerPort(String serverPort)

  Set the server port

  Parameters:
    `serverPort` -

### getServerPort

    public String getServerPort()

  Get the server port

  Returns:
    The server port

### setLogHost

    public void setLogHost(String logHost)

  set the log Host

  Parameters:
    `logHost` -

### getLogHost

    public String getLogHost()

  Get the log host

  Returns:
    The log host

### setLogPort

    public void setLogPort(String logPort)

  Set the log port

  Parameters:
    `logPort` -

### getLogPort

    public String getLogPort()

  Get the log port

  Returns:
    The log port

### setTrace

    public void setTrace(Boolean trace)

  set tracing

  Parameters:
    `trace` -

### getTrace

    public Boolean getTrace()

  Check if tracing is enabled.

  Returns:
    true if it is, false otherwise

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `ManagedConnectionFactory`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.